clc
clear
close all
addpath D:\001-tools\001-Matlab\mytoolbox\m_map1.4\m_map
addpath D:\001-tools\001-Matlab\cmocean-main
addpath D:\001-tools\001-Matlab\mytoolbox\seawater_ver3_3
%%
files = {'AWI-CM-1-1-LR';'CESM2';'CMCC-CM2-SR5';'EC-Earth3';'FGOALS-f3-L';'MIROC6';'MRI-ESM2-0';'NorESM2-LM'};
for i=1:length(files(:,1))
    load(['regrid_ts400_' files{i} '.mat']);
    files{i}
    t400_omip1(1:448,1:304,i) = nanmean(t400_annual(:,:,24:53),3);% 1970-2000
    s400_omip1(1:448,1:304,i) = nanmean(s400_annual(:,:,24:53),3);% 1970-2000
end
%%
files = {'AWI-CM-1-1-LR';'CESM2';'CMCC-CM2-SR5';'EC-Earth3';'FGOALS-f3-L';'MIROC6';'MRI-ESM2-0';'NorESM2-LM'};
for i=1:length(files(:,1))
    load(['../../cmip6_omip2/get_400m_ts/regrid_ts400_' files{i} '.mat']);
    files{i}
    t400_omip2(1:448,1:304,i) = nanmean(t400_annual(:,:,14:43),3);% 1970-2000
    s400_omip2(1:448,1:304,i) = nanmean(s400_annual(:,:,14:43),3);% 1970-2000
end
%%
omip1_t = nanmean(t400_omip1,3);
omip2_t = nanmean(t400_omip2,3);
omip1_s = nanmean(s400_omip1,3);
omip2_s = nanmean(s400_omip2,3);
omip1_t(isnan(omip2_t)) = NaN;
omip2_t(isnan(omip1_t)) = NaN;
omip1_s(isnan(omip2_s)) = NaN;
omip2_s(isnan(omip1_s)) = NaN;
%%
x = ncread('phc3.0_monthly.nc','lon');
y = ncread('phc3.0_monthly.nc','lat');
z = ncread('phc3.0_monthly.nc','depth');
obs_t_raw = ncread('phc3.0_monthly.nc','temp');
obs_s_raw = ncread('phc3.0_monthly.nc','salt');
[x,y]=meshgrid(x,y);x=x';y=y';

xx(2:361,1:180)=x(1:360,1:180);
xx(1,1:180)=-0.5;
xx(362,1:180)=360.5;
yy(2:361,1:180)=y(1:360,1:180);
yy(1,1:180)=y(1,1:180);
yy(362,1:180)=y(360,1:180);

tmp_t = nanmean(obs_t_raw(:,:,13,:),4);
tmp_s = nanmean(obs_s_raw(:,:,13,:),4);
obs_t_raw_1(2:361,1:180) = tmp_t(1:360,1:180);
obs_s_raw_1(2:361,1:180) = tmp_s(1:360,1:180);

obs_t_raw_1(1,1:180) = (tmp_t(1,1:180) + tmp_t(360,1:180))/2;
obs_s_raw_1(1,1:180) = (tmp_s(1,1:180) + tmp_s(360,1:180))/2;
obs_t_raw_1(362,1:180) = (tmp_t(1,1:180) + tmp_t(360,1:180))/2;
obs_s_raw_1(362,1:180) = (tmp_s(1,1:180) + tmp_s(360,1:180))/2;

xx(1:362,181) = xx(1:362,180);
yy(1:362,181) = 90;
obs_t_raw_1(1:362,181) = obs_t_raw_1(1:362,180);
obs_s_raw_1(1:362,181) = obs_s_raw_1(1:362,180);

obs_t = griddata(xx,yy,obs_t_raw_1,double(lon),double(lat));
obs_s = griddata(xx,yy,obs_s_raw_1,double(lon),double(lat));

omip1_t(isnan(obs_t)) = NaN;
omip2_t(isnan(obs_t)) = NaN;
omip1_s(isnan(obs_s)) = NaN;
omip2_s(isnan(obs_s)) = NaN;
%%
tmp_z(1:448,1:304)=400;
pres = sw_pres(tmp_z,lat);
obs_t = sw_ptmp(obs_s,obs_t,pres,0);
%% 
close all
figure(1)
set(gcf,'unit','normalized','position',[.05 .1 .7 .8])
set(axes,'position',[.0 .65 .2 .3])
m_proj('stereographic','latitude',90,'radius',20.1,'rotangle',00);
m_pcolor(lon,lat,obs_t); 
shading flat
m_grid('xtick',-180:60:180,'ytick',70:5:90,'tickdir','out','fontsize',18,'yticklabel','','xticklabel','');
m_coast('patch',[.7 .7 .7],'edgecolor','k');
caxis([-1 4])
title({'(a) PHC3.0'},'fontsize',18)

set(axes,'position',[.2 .65 .2 .3])
m_proj('stereographic','latitude',90,'radius',20.1,'rotangle',00);
m_pcolor(lon,lat,omip1_t); 
shading flat
m_grid('xtick',-180:60:180,'ytick',70:5:90,'tickdir','out','fontsize',18,'yticklabel','','xticklabel','');
m_coast('patch',[.7 .7 .7],'edgecolor','k');
caxis([-1 4])
title({'(b) OMIP-1'},'fontsize',18)

set(axes,'position',[.4 .65 .2 .3])
m_proj('stereographic','latitude',90,'radius',20.1,'rotangle',00);
m_pcolor(lon,lat,omip2_t);  
shading flat
m_grid('xtick',-180:60:180,'ytick',70:5:90,'tickdir','out','fontsize',18,'yticklabel','','xticklabel','');
m_coast('patch',[.7 .7 .7],'edgecolor','k');
caxis([-1 4])
h=colorbar('southoutside');
set(h,'position',[.04 .57 .52 .02],'fontsize',18,'ytick',-2:.5:5,'tickdir','out','linewidth',.5)
set(get(h,'title'),'string','Potential temperature [\circC]')
colormap(cmocean('balance',20))
title({'(c) OMIP-2'},'fontsize',18)
cbarrow

set(axes,'position',[.6 .65 .2 .3])
m_proj('stereographic','latitude',90,'radius',20.1,'rotangle',00);
m_pcolor(lon,lat,omip1_t-obs_t);  
shading flat
m_grid('xtick',-180:60:180,'ytick',70:5:90,'tickdir','out','fontsize',18,'yticklabel','','xticklabel','');
m_coast('patch',[.7 .7 .7],'edgecolor','k');
caxis([-1 1])
title({'(d) OMIP-1CPHC3.0'},'fontsize',18)

set(axes,'position',[.8 .65 .2 .3])
m_proj('stereographic','latitude',90,'radius',20.1,'rotangle',00);
m_pcolor(lon,lat,omip2_t-obs_t);  
shading flat
m_grid('xtick',-180:60:180,'ytick',70:5:90,'tickdir','out','fontsize',18,'yticklabel','','xticklabel','');
m_coast('patch',[.7 .7 .7],'edgecolor','k');
caxis([-1 1])
title({'(e) OMIP-2CPHC3.0'},'fontsize',18)
h=colorbar('southoutside');
set(h,'position',[.62 .57 .36 .02],'fontsize',18,'ytick',-4:.25:4,'tickdir','out','linewidth',.5)
set(get(h,'title'),'string','Potential temperature bias [\circC]')
colormap(cmocean('balance',20))
cbarrow
%
set(axes,'position',[.0 .15 .2 .3])
m_proj('stereographic','latitude',90,'radius',20.1,'rotangle',00);
m_pcolor(lon,lat,obs_s); 
shading flat
m_grid('xtick',-180:60:180,'ytick',70:5:90,'tickdir','out','fontsize',18,'yticklabel','','xticklabel','');
m_coast('patch',[.7 .7 .7],'edgecolor','k');
caxis([34.6 35.1])
title({'(f) PHC3.0'},'fontsize',18)

set(axes,'position',[.2 .15 .2 .3])
m_proj('stereographic','latitude',90,'radius',20.1,'rotangle',00);
m_pcolor(lon,lat,omip1_s); 
shading flat
m_grid('xtick',-180:60:180,'ytick',70:5:90,'tickdir','out','fontsize',18,'yticklabel','','xticklabel','');
m_coast('patch',[.7 .7 .7],'edgecolor','k');
caxis([34.6 35.1])
title({'(g) OMIP-1'},'fontsize',18)

set(axes,'position',[.4 .15 .2 .3])
m_proj('stereographic','latitude',90,'radius',20.1,'rotangle',00);
m_pcolor(lon,lat,omip2_s);  
shading flat
m_grid('xtick',-180:60:180,'ytick',70:5:90,'tickdir','out','fontsize',18,'yticklabel','','xticklabel','');
m_coast('patch',[.7 .7 .7],'edgecolor','k');
caxis([34.6 35.1])
h=colorbar('southoutside');
set(h,'position',[.04 .07 .52 .02],'fontsize',18,'ytick',34.6:.05:35.1,'tickdir','out','linewidth',.5)
title({'(h) OMIP-2'},'fontsize',18)
colormap(cmocean('balance',20))
cbarrow
set(get(h,'title'),'string','Salinity [psu]')


set(axes,'position',[.6 .15 .2 .3])
m_proj('stereographic','latitude',90,'radius',20.1,'rotangle',00);
m_pcolor(lon,lat,omip1_s-obs_s); 
shading flat
m_grid('xtick',-180:60:180,'ytick',70:5:90,'tickdir','out','fontsize',18,'yticklabel','','xticklabel','');
m_coast('patch',[.7 .7 .7],'edgecolor','k');
caxis([-.4 .4])
title({'(i) OMIP-1CPHC3.0'},'fontsize',18)

set(axes,'position',[.8 .15 .2 .3])
m_proj('stereographic','latitude',90,'radius',20.1,'rotangle',00);
m_pcolor(lon,lat,omip2_s-obs_s); 
shading flat
m_grid('xtick',-180:60:180,'ytick',70:5:90,'tickdir','out','fontsize',18,'yticklabel','','xticklabel','');
m_coast('patch',[.7 .7 .7],'edgecolor','k');
caxis([-.4 .4])
title({'(j) OMIP-2CPHC3.0'},'fontsize',18)
h=colorbar('southoutside');
set(h,'position',[.62 .07 .36 .02],'fontsize',18,'ytick',-.4:.1:.4,'tickdir','out','linewidth',.5)
colormap(cmocean('balance',20))
cbarrow
set(get(h,'title'),'string','Salinity bias [psu]')
