clc
clear
close all
%%
y=60:.25:90;
x=70:145:215;
[x,y]=meshgrid(x,y);
%%
longitude=ncread('phc3.0_annual_classic.nc','LON');
latitude=ncread('phc3.0_annual_classic.nc','LAT');
lev=ncread('phc3.0_annual_classic.nc','DEPTH');
to_annual=ncread('phc3.0_annual_classic.nc','TEMP');
so_annual=ncread('phc3.0_annual_classic.nc','SALT');
km=length(lev);
longitude(longitude<0)=longitude(longitude<0)+360;
[longitude,latitude]=meshgrid(longitude,latitude);
longitude=longitude';
latitude=latitude';
to_annual(to_annual<-100)=NaN;

for k=1:km
    tmp = to_annual(:,:,k);
    tmp_regrid(1:121,1:2,k) = griddata(longitude,latitude,tmp,x,y);
    section_t(1:121,k)=tmp_regrid(1:1:121,2,k);
    section_t(122:242,k)=tmp_regrid(121:-1:1,1,k);
    tmp = so_annual(:,:,k);
    tmp_regrid(1:121,1:2,k) = griddata(longitude,latitude,tmp,x,y);
    section_s(1:121,k)=tmp_regrid(1:1:121,2,k);
    section_s(122:242,k)=tmp_regrid(121:-1:1,1,k);
    for i=1:121
        pres = sw_pres(lev(k),y(i));
        section(i,k) = sw_ptmp(section_s(i,k),section_t(i,k),pres,0);
    end
    for i=122:242
        pres = sw_pres(lev(k),y(243-i));
        section(i,k) = sw_ptmp(section_s(i,k),section_t(i,k),pres,0);
    end
end
save('PHC3.0.mat','section','x','y','lev')
