clc
clear
close all
addpath D:\001-tools\001-Matlab\mytoolbox\m_map1.4\m_map
addpath D:\001-tools\001-Matlab\cmocean-main
%%
files = {'AWI-CM-1-1-LR';'CESM2';'CMCC-CM2-SR5';'EC-Earth3';'FGOALS-f3-L';'MIROC6';'MRI-ESM2-0';'NorESM2-LM'};
for i=1:length(files(:,1))
    load(['mld_regrid_' files{i}]);
    files{i}
    tmp = nanmean(mld_regrid(:,:,:,32:62),4);% 1979-2009
    cold = ( sum(tmp(:,:,11:12),3) + sum(tmp(:,:,1:5),3) )/7;
    mld_omip1(1:448,1:304,i) = cold;
end
%%
cold_season(1:448,1:304,1:40)=0;
for i=1:length(files(:,1))
    load(['g:\cmip6_omip2\get_mld\mld_regrid_' files{i}]);
    files{i}
    tmp = nanmean(mld_regrid(:,:,:,22:52),4);% 1979-2009
    cold = ( sum(tmp(:,:,11:12),3) + sum(tmp(:,:,1:5),3) )/7;
    mld_omip2(1:448,1:304,i) = cold;
    tmp = mld_regrid(:,:,:,21:end); % 1978-2018
    cold_season = cold_season + squeeze(sum(tmp(:,:,11:12,1:40),3) + sum(tmp(:,:,1:5,2:41),3))/7;
end
%
cold_season = cold_season/length(files(:,1));
tt=1978:2017;
for ii=1:448
    for jj=1:304
        yy = squeeze(cold_season(ii,jj,:)); % Nov-Mar 1978-2018
        data = [yy tt'];
        [b,bint,rrr,rint,stats] = regress(data(:,1), [data(:,2) ones(size(data,1),1)]);
        mmm_trend(ii,jj)=b(1);
        mmm_sig(ii,jj)=stats(3);
    end
end
%%
close all
figure(2)
set(gcf,'unit','normalized','position',[.1 .1 .6 .5])
axes('position',[.02 .25 .3 .6])
m_proj('stereographic','latitude',90,'radius',22.1,'rotangle',0);
omip1_mmm = nanmean(mld_omip1(:,:,:),3);
for i=1:448
    for j=1:304
       if (omip1_mmm(i,j)>100 && omip1_mmm(i,j)<=150) 
           omip1_mmm(i,j) = 102.5;
       end
       if (omip1_mmm(i,j)>150 && omip1_mmm(i,j)<=200) 
           omip1_mmm(i,j) = 107.5;
       end
       if (omip1_mmm(i,j)>200 && omip1_mmm(i,j)<=250) 
           omip1_mmm(i,j) = 112.5;
       end
       if (omip1_mmm(i,j)>250 && omip1_mmm(i,j)<=300) 
           omip1_mmm(i,j) = 117.5;
       end
       if (omip1_mmm(i,j)>300 && omip1_mmm(i,j)<=650) 
           omip1_mmm(i,j) = 122.5;
       end
       if (omip1_mmm(i,j)>650 && omip1_mmm(i,j)<=1000) 
           omip1_mmm(i,j) = 127.5;
       end
       if (omip1_mmm(i,j)>1000) 
           omip1_mmm(i,j) = 132.5;
       end
    end
end
m_contourf(lon,lat,omip1_mmm,0:5:130,'linestyle','none');
hold on
m_plot(223,71,'o','markersize',12,'MarkerEdgeColor','r','MarkerFaceColor',[22,112,188]/255) % Southern Beaufort Sea
m_plot(210,73.5,'o','markersize',12,'MarkerEdgeColor','m','MarkerFaceColor',[49,131,186]/255) % Canada Basin
m_plot(195,72,'o','markersize',12,'MarkerEdgeColor','k','MarkerFaceColor',[49,131,186]/255) % Chukchi Sea
m_plot(223,87,'o','markersize',12,'MarkerEdgeColor','k','MarkerFaceColor',[170,194,203]/255) % Makarov Basin
m_plot(060,86,'o','markersize',12,'MarkerEdgeColor','b','MarkerFaceColor',[227,201,194]/255) % Eurasian Basin
m_plot(035,73,'o','markersize',12,'MarkerEdgeColor','y','MarkerFaceColor',[163,31,37]/255) % Barents Sea
m_coast('patch',[.5 .5 .5],'edgecolor',[.5 .5 .5]);
m_grid('tickdir','out','linewidth',.5,'fontsize',16,'linestyle','none','xtick',-180:60:180,'ytick',70:20:90,'yticklabel',' ','xminortick','on','yminortick','on')
h=colorbar('southoutside');
caxis([0 130])
colormap(cmocean('balance',26))
set(h,'fontsize',16,'ytick',0:10:130,'tickdir','out','yticklabel',{'0','10','20','30','40','50','60','70','80','90','100','200','300','1000'})
set(h,'position',[.03 0.1 .55 .025])
cbarrow('right')
title({'(a) OMIP-1';''},'fontsize',16)

axes('position',[.32 .25 .3 .6])
m_proj('stereographic','latitude',90,'radius',22.1,'rotangle',0);
omip2_mmm=nanmean(mld_omip2(:,:,:),3);
for i=1:448
    for j=1:304
       if (omip2_mmm(i,j)>100 && omip2_mmm(i,j)<=150) 
           omip2_mmm(i,j) = 102.5;
       end
       if (omip2_mmm(i,j)>150 && omip2_mmm(i,j)<=200) 
           omip2_mmm(i,j) = 107.5;
       end
       if (omip2_mmm(i,j)>200 && omip2_mmm(i,j)<=250) 
           omip2_mmm(i,j) = 112.5;
       end
       if (omip2_mmm(i,j)>250 && omip2_mmm(i,j)<=300) 
           omip2_mmm(i,j) = 117.5;
       end
       if (omip2_mmm(i,j)>300 && omip2_mmm(i,j)<=650) 
           omip2_mmm(i,j) = 122.5;
       end
       if (omip2_mmm(i,j)>650 && omip2_mmm(i,j)<=1000) 
           omip2_mmm(i,j) = 127.5;
       end
       if (omip2_mmm(i,j)>1000) 
           omip2_mmm(i,j) = 132.5;
       end
    end
end
m_contourf(lon,lat,omip2_mmm,0:5:130,'linestyle','none');
hold on
m_plot(223,71,'o','markersize',12,'MarkerEdgeColor','r','MarkerFaceColor',[22,112,188]/255) % Southern Beaufort Sea
m_plot(210,73.5,'o','markersize',12,'MarkerEdgeColor','m','MarkerFaceColor',[49,131,186]/255) % Canada Basin
m_plot(195,72,'o','markersize',12,'MarkerEdgeColor','k','MarkerFaceColor',[49,131,186]/255) % Chukchi Sea
m_plot(223,87,'o','markersize',12,'MarkerEdgeColor','k','MarkerFaceColor',[170,194,203]/255) % Makarov Basin
m_plot(060,86,'o','markersize',12,'MarkerEdgeColor','b','MarkerFaceColor',[227,201,194]/255) % Eurasian Basin
m_plot(035,73,'o','markersize',12,'MarkerEdgeColor','y','MarkerFaceColor',[163,31,37]/255) % Barents Sea
m_coast('patch',[.5 .5 .5],'edgecolor',[.5 .5 .5]);
m_grid('tickdir','out','linewidth',.5,'fontsize',16,'linestyle','none','xtick',-180:60:180,'ytick',70:20:90,'yticklabel',' ','xminortick','on','yminortick','on')
h=colorbar('southoutside');
caxis([0 130])
colormap(cmocean('balance',26))
set(h,'fontsize',16,'ytick',0:10:130,'tickdir','out','yticklabel',{'0','10','20','30','40','50','60','70','80','90','100','200','300','1000'})
set(h,'position',[.03 0.1 .55 .025])
cbarrow('right')
set(get(h,'title'),'string','Cold season mean mixed layer depth [m]')
title({'(b) OMIP-2';''},'fontsize',16)
%
axes('position',[.67 .25 .3 .6])
m_proj('stereographic','latitude',90,'radius',22.1,'rotangle',0);
m_pcolor(lon,lat,mmm_trend*10);
shading flat
hold on
for j=1:4:304
    for i=1:4:448
        if(mmm_sig(i,j)<0.05)
            m_plot(lon(i,j),lat(i,j),'.','color','k','markersize',3)
        end
    end
end
m_coast('patch',[.5 .5 .5],'edgecolor',[.5 .5 .5]);
m_grid('tickdir','out','linewidth',.5,'fontsize',16,'linestyle','none','xtick',-180:60:180,'ytick',70:20:90,'yticklabel',' ','xminortick','on','yminortick','on')
h=colorbar('southoutside');
caxis([-6 6])
colormap(cmocean('balance',26))
set(h,'fontsize',16,'ytick',-6:2:6,'tickdir','out')
set(h,'position',[.67 0.1 .3 .025])
set(get(h,'title'),'string','Trend during 1978 to 2018 [m/decade]')
cbarrow
title({'(c) OMIP-2';''},'fontsize',16)