clc
clear
close all
addpath D:\001-tools\001-Matlab\mytoolbox\m_map1.4\m_map
addpath D:\001-tools\001-Matlab\cmocean-main
%%
files = {'AWI-CM-1-1-LR';'CAS-ESM2-0';'CESM2';'CMCC-CM2-SR5';          ...
         'CMCC-ESM2';'CanESM5-CanOE';'CanESM5';'EC-Earth3';            ...
         'FGOALS-f3-L';'FIO-ESM-2-0';'GFDL-CM4';'GFDL-OM4p5B';'IPSL-CM6A-LR';'MIROC-ES2L';      ...
         'MIROC6';'MRI-ESM2-0';'NorESM2-LM'};
for i=1:length(files(:,1))
    load(['mld_regrid_' files{i}]);
    files{i}
    model=files{i};
    if(model(1:4)=='GFDL')
        tmp = nanmean(mld_regrid(:,:,:,32:60),4);% 1979-2009
    else
        tmp = nanmean(mld_regrid(:,:,:,32:62),4);% 1979-2009
    end
    
    cold = ( sum(tmp(:,:,11:12),3) + sum(tmp(:,:,1:5),3) )/7;

    mld_omip1(1:448,1:304,i) = cold;
    if(length(strtrim(files(i,:))) == 10)
        if(files{i} == 'CAS-ESM2-0')
            loc = find(~isnan(cold));
            mld_omip1(1:448,1:304,i) = griddata(double(lon(loc)),double(lat(loc)),cold(loc),double(lon),double(lat),'nearest');
        end
    end
    
    if(length(strtrim(files(i,:))) == 9)
        if(files{i} == 'CMCC-ESM2')
            loc = find(~isnan(cold));
            mld_omip1(1:448,1:304,i) = griddata(double(lon(loc)),double(lat(loc)),cold(loc),double(lon),double(lat),'nearest');
        end
    end
end
%%
close all
figure(1)
set(gcf,'unit','normalized','position',[.05 .1 .9 .8])
for i=1:length(files(:,1))
    subplot(3,6,i)
    for ii=1:448
        for jj=1:304
           if (mld_omip1(ii,jj,i)>100 && mld_omip1(ii,jj,i)<=150) 
               mld_omip1(ii,jj,i) = 102.5;
           end
           if (mld_omip1(ii,jj,i)>150 && mld_omip1(ii,jj,i)<=200) 
               mld_omip1(ii,jj,i) = 107.5;
           end
           if (mld_omip1(ii,jj,i)>200 && mld_omip1(ii,jj,i)<=250) 
               mld_omip1(ii,jj,i) = 112.5;
           end
           if (mld_omip1(ii,jj,i)>250 && mld_omip1(ii,jj,i)<=300) 
               mld_omip1(ii,jj,i) = 117.5;
           end
           if (mld_omip1(ii,jj,i)>300 && mld_omip1(ii,jj,i)<=650) 
               mld_omip1(ii,jj,i) = 122.5;
           end
           if (mld_omip1(ii,jj,i)>650 && mld_omip1(ii,jj,i)<=1000) 
               mld_omip1(ii,jj,i) = 127.5;
           end
           if (mld_omip1(ii,jj,i)>1000) 
               mld_omip1(ii,jj,i) = 132.5;
           end
        end
    end

    m_proj('stereographic','latitude',90,'radius',22.1,'rotangle',0);
    m_contourf(lon,lat,mld_omip1(:,:,i),0:5:130,'linestyle','none');
    hold on
    m_plot(223,71,'o','markersize',9,'MarkerEdgeColor','r','MarkerFaceColor',[22,112,188]/255) % Southern Beaufort Sea
    m_plot(210,73.5,'o','markersize',9,'MarkerEdgeColor','m','MarkerFaceColor',[49,131,186]/255) % Canada Basin
    m_plot(195,72,'o','markersize',9,'MarkerEdgeColor','k','MarkerFaceColor',[49,131,186]/255) % Chukchi Sea
    m_plot(223,87,'o','markersize',9,'MarkerEdgeColor','k','MarkerFaceColor',[170,194,203]/255) % Makarov Basin
    m_plot(060,86,'o','markersize',9,'MarkerEdgeColor','b','MarkerFaceColor',[227,201,194]/255) % Eurasian Basin
    m_plot(035,73,'o','markersize',9,'MarkerEdgeColor','y','MarkerFaceColor',[163,31,37]/255) % Barents Sea
    m_coast('patch',[.5 .5 .5],'edgecolor',[.5 .5 .5]);
    m_grid('tickdir','out','linewidth',.5,'fontsize',16,'linestyle','none','xtick',-180:60:180,'xticklabel','','ytick',70:20:90,'yticklabel','','xminortick','on','yminortick','on')
    caxis([0 130])
    title(files{i},'fontsize',16)
end
h=colorbar('southoutside');  
set(h,'fontsize',16,'ytick',0:10:130,'tickdir','out','yticklabel',{'0','10','20','30','40','50','60','70','80','90','100','200','300','1000'})
set(h,'position',[.165 .06 .7 .015])
colormap(cmocean('balance',26))
cbarrow('right')
set(get(h,'title'),'string','Cold season mean mixed layer depth [m]','fontsize',16)
