clc
clear
close all
addpath D:\001-tools\001-Matlab\mytoolbox\m_map1.4\m_map
addpath D:\001-tools\001-Matlab\cmocean-main
%%
dot=ncread('\\Sy_NAS\SY_NAS\data\14-Arctic_Ocean_DOT\DOT\CPOM_DOT.nc','DOT');
lon=ncread('\\Sy_NAS\SY_NAS\data\14-Arctic_Ocean_DOT\DOT\CPOM_DOT.nc','lon');
lat=ncread('\\Sy_NAS\SY_NAS\data\14-Arctic_Ocean_DOT\DOT\CPOM_DOT.nc','lat');
lon(lon<0) = lon(lon<0) + 360.;
[lat,lon] = meshgrid(lat,lon);
obs_clim = squeeze(nanmean(dot(1:84,:,:),1)); % 2003-2009
obs_clim = obs_clim - nanmean(obs_clim(:));
%%
figure(1)
set(gcf,'unit','normalized','position',[.05 .1 .35 .3])
set(axes,'position',[.03 .2 .31 .7])
m_proj('stereographic','latitude',90,'radius',25.1);
m_pcolor(lon,lat,obs_clim);
shading flat
m_grid('xtick',-180:60:180,'ytick',50:10:80,'tickdir','out','fontsize',12,'yticklabel','','xticklabel','');
m_coast('patch',[.7 .7 .7],'edgecolor','k');
caxis([-.5 .5])
title('(a) Satellite','fontsize',12);
%%
lon=ncread('\\Sy_NAS\SY_NAS\data\14-Arctic_Ocean_DOT\DOT\CPOM_DOT.nc','lon');
lat = 60:.25:90;
lon(lon<0) = lon(lon<0) + 360.;
[lat,lon] = meshgrid(lat,lon);
files = {'AWI-CM-1-1-LR';'CESM2';'CMCC-CM2-SR5';'EC-Earth3';'FGOALS-f3-L';'MRI-ESM2-0';'NorESM2-LM'};
for i=1:length(files(:,1))
    model = files{i};
    load(model,'ssh_clim_regrid');
    omip1(:,:,i) = ssh_clim_regrid;
end
for i=1:length(files(:,1))
    model = files{i};
    load(['..\..\cmip6_omip2\get_ssh\' model],'ssh_clim_regrid');
    omip2(:,:,i) = ssh_clim_regrid;
end
%%
set(axes,'position',[.35 .2 .31 .7])
m_proj('stereographic','latitude',90,'radius',25.1);
m_pcolor(lon,lat,nanmean(omip1,3));
shading flat
m_grid('xtick',-180:60:180,'ytick',50:10:80,'tickdir','out','fontsize',12,'yticklabel','','xticklabel','');
m_coast('patch',[.7 .7 .7],'edgecolor','k');
caxis([-.5 .5])
title('(b) OMIP-1','fontsize',12);

set(axes,'position',[.67 .2 .31 .7])
m_proj('stereographic','latitude',90,'radius',25.1);
m_pcolor(lon,lat,nanmean(omip2,3));
shading flat
m_grid('xtick',-180:60:180,'ytick',50:10:80,'tickdir','out','fontsize',12,'yticklabel','','xticklabel','');
m_coast('patch',[.7 .7 .7],'edgecolor','k');
caxis([-.5 .5])
title('(c) OMIP-2','fontsize',12);

h=colorbar('southoutside');
set(h,'position',[.12 .1 .75 .03],'fontsize',12,'xtick',-.5:.1:.5,'tickdir','out')
colormap(cmocean('balance',20))
set(get(h,'title'),'string','Sea surface height during 2003-2009 [m]','fontsize',12)
cbarrow