clc
clear
close all
addpath D:\001-tools\001-Matlab\mytoolbox\m_map1.4\m_map
addpath D:\001-tools\001-Matlab\cmocean-main
%%
dot=ncread('\\Sy_NAS\SY_NAS\data\14-Arctic_Ocean_DOT\DOT\CPOM_DOT.nc','DOT');
lon_1=ncread('\\Sy_NAS\SY_NAS\data\14-Arctic_Ocean_DOT\DOT\CPOM_DOT.nc','lon');
lat_1=ncread('\\Sy_NAS\SY_NAS\data\14-Arctic_Ocean_DOT\DOT\CPOM_DOT.nc','lat');
lon_1(lon_1<0) = lon_1(lon_1<0) + 360.;
[lat_1,lon_1] = meshgrid(lat_1,lon_1);
obs_1_2004 = squeeze(nanmean(dot(13:24,:,:),1));
obs_1_2009 = squeeze(nanmean(dot(73:84,:,:),1));
obs_1_2014 = squeeze(nanmean(dot(133:144,:,:),1));
%%
dot=ncread('\\Sy_NAS\SY_NAS\data\14-Arctic_Ocean_DOT\DOT\Full_DOT_data_Arco.nc','DOT_smoothed');
lon_2=ncread('\\Sy_NAS\SY_NAS\data\14-Arctic_Ocean_DOT\DOT\Full_DOT_data_Arco.nc','lons');
lat_2=ncread('\\Sy_NAS\SY_NAS\data\14-Arctic_Ocean_DOT\DOT\Full_DOT_data_Arco.nc','lats');
t=ncread('\\Sy_NAS\SY_NAS\data\14-Arctic_Ocean_DOT\DOT\Full_DOT_data_Arco.nc','time');
obs_2_2014 = squeeze(nanmean(dot(:,:,37:48),3));
obs_2_2018 = squeeze(nanmean(dot(:,:,85:96),3));
%%
lon = double(ncread('\\Sy_NAS\SY_NAS\data\14-Arctic_Ocean_DOT\DOT\CPOM_DOT.nc','lon'));
lat = 60:.25:90;
lon(lon<0) = lon(lon<0) + 360.;
[lat,lon] = meshgrid(lat,lon);
files = {'AWI-CM-1-1-LR';'CESM2';'CMCC-CM2-SR5';'EC-Earth3';'FGOALS-f3-L';'MRI-ESM2-0';'NorESM2-LM'};
for i=2:length(files(:,1))
    model = files{i};
    load([model '/2004.mat']);
    omip1_2004(:,:,i) = griddata(longitude,latitude,ssh,lon,lat);
    load([model '/2009.mat']);
    omip1_2009(:,:,i) = griddata(longitude,latitude,ssh,lon,lat);
end

for i=2:length(files(:,1))
    model = files{i};
    load(['..\..\cmip6_omip2\get_ssh\' model '\2004.mat']');
    omip2_2004(:,:,i) = griddata(longitude,latitude,ssh,lon,lat);
    load(['..\..\cmip6_omip2\get_ssh\' model '\2009.mat']');
    omip2_2009(:,:,i) = griddata(longitude,latitude,ssh,lon,lat);
    load(['..\..\cmip6_omip2\get_ssh\' model '\2014.mat']');
    omip2_2014(:,:,i) = griddata(longitude,latitude,ssh,lon,lat);
    load(['..\..\cmip6_omip2\get_ssh\' model '\2018.mat']');
    omip2_2018(:,:,i) = griddata(longitude,latitude,ssh,lon,lat);
end
%%
close all
figure
set(gcf,'unit','normalized','position',[.1 .2 .35 .7])
set(axes,'position',[.05 .68 .32 .25])
m_proj('stereographic','latitude',90,'radius',25.1);
m_pcolor(lon_1,lat_1,(obs_1_2009-obs_1_2004)*100);
shading flat
m_grid('xtick',-180:60:180,'ytick',50:10:80,'tickdir','out','fontsize',12,'yticklabel','','xticklabel','');
m_coast('patch',[.7 .7 .7],'edgecolor','k');
caxis([-16 16])
title('(a) Satellite, 2009C2004','fontsize',12);
colormap(cmocean('balance',32))
h=colorbar('southoutside');
set(h,'position',[.45 .5 .43 .018],'fontsize',12,'xtick',-16:4:16,'tickdir','out')
set(get(h,'title'),'string','Sea surface height differences [cm]','fontsize',12)
colormap(cmocean('balance',20))
cbarrow

set(axes,'position',[.35 .68 .32 .25])
m_proj('stereographic','latitude',90,'radius',25.1);
m_pcolor(lon_1,lat_1,(obs_1_2014-obs_1_2009)*100);
shading flat
m_grid('xtick',-180:60:180,'ytick',50:10:80,'tickdir','out','fontsize',12,'yticklabel','','xticklabel','');
m_coast('patch',[.7 .7 .7],'edgecolor','k');
caxis([-16 16])
title('(b) Satellite, 2014C2009','fontsize',12);
colormap(cmocean('balance',32))

set(axes,'position',[.65 .68 .32 .25])
m_proj('stereographic','latitude',90,'radius',25.1);
m_pcolor(lon_2,lat_2,(obs_2_2018-obs_2_2014)*100);
shading flat
m_grid('xtick',-180:60:180,'ytick',50:10:80,'tickdir','out','fontsize',12,'yticklabel','','xticklabel','');
m_coast('patch',[.7 .7 .7],'edgecolor','k');
caxis([-16 16])
title('(c) Satellite, 2018C2014','fontsize',12);
colormap(cmocean('balance',32))

set(axes,'position',[.05 .375 .32 .25])
m_proj('stereographic','latitude',90,'radius',25.1);

diff = omip1_2009-omip1_2004;
awi_cm = load('AWI-CM-1-1-LR\ssh_diff09-04_omip1.mat');
awi_x = ncread('AWI-CM-1-1-LR\fesom.mesh.diag.nc','lon');
awi_y = ncread('AWI-CM-1-1-LR\fesom.mesh.diag.nc','lat');
awi_x(awi_x<0)=awi_x(awi_x<0)+360.;
tmp1 = griddata(awi_x,awi_y,awi_cm.ssh(2:end),double(lon),double(lat));
tmp2 = griddata(awi_x,awi_y,awi_cm.ssh(2:end),double(lon),double(lat),'nearest');
tmp1(isnan(tmp1)) = tmp2(isnan(tmp1));
diff(:,:,1) = tmp1;
m_pcolor(lon,lat,nanmean(diff,3)*100);
shading flat
m_grid('xtick',-180:60:180,'ytick',50:10:80,'tickdir','out','fontsize',12,'yticklabel','','xticklabel','');
m_coast('patch',[.7 .7 .7],'edgecolor','k');
caxis([-16 16])
title('(d) OMIP-1, 2009C2004','fontsize',12);
colormap(cmocean('balance',32))

set(axes,'position',[.05 .07 .32 .25])
m_proj('stereographic','latitude',90,'radius',25.1);

diff = omip2_2009-omip2_2004;
awi_cm = load('..\..\cmip6_omip2\get_ssh\AWI-CM-1-1-LR\ssh_diff09-04_omip2.mat');
tmp1 = griddata(awi_x,awi_y,awi_cm.ssh(2:end),double(lon),double(lat));
tmp2 = griddata(awi_x,awi_y,awi_cm.ssh(2:end),double(lon),double(lat),'nearest');
tmp1(isnan(tmp1)) = tmp2(isnan(tmp1));
diff(:,:,1) = tmp1;
m_pcolor(lon,lat,nanmean(diff,3)*100);
shading flat
m_grid('xtick',-180:60:180,'ytick',50:10:80,'tickdir','out','fontsize',12,'yticklabel','','xticklabel','');
m_coast('patch',[.7 .7 .7],'edgecolor','k');
caxis([-16 16])
title('(e) OMIP-2, 2009C2004','fontsize',12);
colormap(cmocean('balance',32))

set(axes,'position',[.35 .07 .32 .25])
m_proj('stereographic','latitude',90,'radius',25.1);

diff = omip2_2014-omip2_2009;
awi_cm = load('..\..\cmip6_omip2\get_ssh\AWI-CM-1-1-LR\ssh_diff14-09_omip2.mat');
tmp1 = griddata(awi_x,awi_y,awi_cm.ssh(2:end),double(lon),double(lat));
tmp2 = griddata(awi_x,awi_y,awi_cm.ssh(2:end),double(lon),double(lat),'nearest');
tmp1(isnan(tmp1)) = tmp2(isnan(tmp1));
diff(:,:,1) = tmp1;
m_pcolor(lon,lat,nanmean(diff,3)*100);
shading flat
m_grid('xtick',-180:60:180,'ytick',50:10:80,'tickdir','out','fontsize',12,'yticklabel','','xticklabel','');
m_coast('patch',[.7 .7 .7],'edgecolor','k');
caxis([-16 16])
title('(f) OMIP-2, 2014C2009','fontsize',12);
colormap(cmocean('balance',32))

set(axes,'position',[.65 .07 .32 .25])
m_proj('stereographic','latitude',90,'radius',25.1);

diff = omip2_2018-omip2_2014;
awi_cm = load('..\..\cmip6_omip2\get_ssh\AWI-CM-1-1-LR\ssh_diff18-14_omip2.mat');
tmp1 = griddata(awi_x,awi_y,awi_cm.ssh(2:end),double(lon),double(lat));
tmp2 = griddata(awi_x,awi_y,awi_cm.ssh(2:end),double(lon),double(lat),'nearest');
tmp1(isnan(tmp1)) = tmp2(isnan(tmp1));
diff(:,:,1) = tmp1;
m_pcolor(lon,lat,nanmean(diff,3)*100);
shading flat
m_grid('xtick',-180:60:180,'ytick',50:10:80,'tickdir','out','fontsize',12,'yticklabel','','xticklabel','');
m_coast('patch',[.7 .7 .7],'edgecolor','k');
caxis([-16 16])
title('(g) OMIP-2, 2018C2014','fontsize',12);
colormap(cmocean('balance',32))

