clc
clear
close all
addpath D:\001-tools\001-Matlab\mytoolbox\m_map1.4\m_map
addpath D:\001-tools\001-Matlab\cmocean-main
%%
figure
set(gcf,'unit','normalized','position',[.1 .2 .5 .7])

dot=ncread('\\Sy_NAS\SY_NAS\data\14-Arctic_Ocean_DOT\DOT\CPOM_DOT.nc','DOT');
lon=ncread('\\Sy_NAS\SY_NAS\data\14-Arctic_Ocean_DOT\DOT\CPOM_DOT.nc','lon');
lat=ncread('\\Sy_NAS\SY_NAS\data\14-Arctic_Ocean_DOT\DOT\CPOM_DOT.nc','lat');
lon(lon<0) = lon(lon<0) + 360.;
[lat,lon] = meshgrid(lat,lon);
obs_clim = squeeze(nanmean(dot(1:84,:,:),1)); % 2003-2009
obs_clim = obs_clim - nanmean(obs_clim(:));

subplot(3,4,1)
m_proj('stereographic','latitude',90,'radius',25.1);
m_pcolor(lon,lat,obs_clim);
shading flat
m_grid('xtick',-180:60:180,'ytick',50:10:80,'tickdir','out','fontsize',12,'yticklabel','','xticklabel','');
m_coast('patch',[.7 .7 .7],'edgecolor','k');
caxis([-.5 .5])
title('Satellite','fontsize',14);
%%
lon=ncread('\\Sy_NAS\SY_NAS\data\14-Arctic_Ocean_DOT\DOT\CPOM_DOT.nc','lon');
lat = 60:.25:90;
lon(lon<0) = lon(lon<0) + 360.;
[lat,lon] = meshgrid(lat,lon);

awi_cm = load('AWI-CM-1-1-LR\ssh_mean_0309_omip1.mat');
awi_x = ncread('AWI-CM-1-1-LR\fesom.mesh.diag.nc','lon');
awi_y = ncread('AWI-CM-1-1-LR\fesom.mesh.diag.nc','lat');
awi_x(awi_x<0)=awi_x(awi_x<0)+360.;

ssh_clim_regrid = griddata(awi_x,awi_y,awi_cm.ssh(2:end),double(lon),double(lat));
tmp = griddata(awi_x,awi_y,awi_cm.ssh(2:end),double(lon),double(lat),'nearest');
ssh_clim_regrid(isnan(ssh_clim_regrid)) = tmp(isnan(ssh_clim_regrid));
% for jj=1:87
%     ssh_clim_regrid(:,jj)=smooth(ssh_clim_regrid(:,jj),3);
% end
% for ii=1:480
%     ssh_clim_regrid(ii,:)=smooth(ssh_clim_regrid(ii,:),3);
% end
% ssh_clim_regrid(isnan(obs_clim))=NaN;
ssh_clim_regrid = ssh_clim_regrid - nanmean(ssh_clim_regrid(:));
subplot(3,4,2)
m_proj('stereographic','latitude',90,'radius',25.1);
m_pcolor(lon,lat,ssh_clim_regrid);
shading flat
m_grid('xtick',-180:60:180,'ytick',50:10:80,'tickdir','out','fontsize',12,'yticklabel','','xticklabel','');
m_coast('patch',[.7 .7 .7],'edgecolor','k');
caxis([-.5 .5])
title('AWI-CM-1-1-LR','fontsize',14);
save('AWI-CM-1-1-LR','ssh_clim_regrid')
%%
files = ls('../zos_combine/*.nc');
for i=1:length(files(:,1))
    zos_file = strtrim(files(i,:));
    for ii=1:length(zos_file)-4
        if(zos_file(ii:ii+3)=='omip')
            ee=ii-2;
            model=zos_file(10:ee)
        end
    end
    mkdir( model )
    
    clear ssh_clim
    for n = 2003:2009
        load([model '/' num2str(n)], 'longitude', 'latitude', 'ssh');
        if(n==2003)
            ssh_clim = ssh/7;
        else
            ssh_clim = ssh_clim + ssh/7;
        end
    end
    ssh_clim(ssh_clim==0)=NaN;
    longitude(longitude<0) = longitude(longitude<0) + 360.;
    ssh_clim_regrid = griddata(longitude,latitude,ssh_clim,double(lon),double(lat));
    tmp = griddata(longitude,latitude,ssh_clim,double(lon),double(lat),'nearest');
    ssh_clim_regrid(isnan(ssh_clim_regrid)) = tmp(isnan(ssh_clim_regrid));
    ssh_clim_regrid = ssh_clim_regrid - nanmean(ssh_clim_regrid(:));
    
    subplot(3,4,i+2)
    m_proj('stereographic','latitude',90,'radius',25.1);
    m_pcolor(lon,lat,ssh_clim_regrid);
    shading flat
    m_grid('xtick',-180:60:180,'ytick',50:10:80,'tickdir','out','fontsize',12,'yticklabel','','xticklabel','');
    m_coast('patch',[.7 .7 .7],'edgecolor','k');
    caxis([-.5 .5])
    title(model,'fontsize',14);
    save(model,'ssh_clim_regrid')
end
h=colorbar('southoutside');
set(h,'position',[.17 .05 .68 .015],'fontsize',14,'xtick',-.5:.1:.5,'tickdir','out')
colormap(cmocean('balance',20))
set(get(h,'title'),'string','Sea surface height during 2003-2009 [m]')
cbarrow

