clc
clear
close all
addpath D:\001-tools\001-Matlab\mytoolbox\m_map1.4\m_map
addpath D:\001-tools\001-Matlab\cmocean-main
%%
files = {'AWI-CM-1-1-LR';'CESM2';'CMCC-CM2-HR4';'CMCC-CM2-SR5';'CNRM-CM6-1';'EC-Earth3';'FGOALS-f3-L';'MIROC6';'MRI-ESM2-0';'NorESM2-LM'};
for i=1:length(files(:,1))
    load(['chl_regrid_' files{i}]);
    files{i}
    tmp = chl_regrid(:,:,:,1:end);% 1978-2018
    cold(1:224,1:152,1:12,1:61,i) = tmp(1:2:end,1:2:end,1:12,1:61);
end
%%
load('g:\cmip6_omip1\get_chl\phc3','longitude','latitude','chl');
load('g:\cmip6_omip1\grid/mask')
x=longitude;
y=latitude;
obs=nanmean(chl,3);
obs_regrid=griddata(x,y,obs,double(lon),double(lat));
clear tmp
tmp=griddata(x(~isnan(obs)),y(~isnan(obs)),obs(~isnan(obs)),double(lon),double(lat),'nearest');
obs_regrid(isnan(obs_regrid))=tmp(isnan(obs_regrid));
obs_regrid(mask<1)=NaN;
%%
close all
figure(1)
set(gcf,'unit','normalized','position',[.05 .05 .8 .85])
n=1;
for k=1:length(files(:,1))
    clim = nanmean(nanmean(cold(:,:,:,14:43,k),4),3); %1971-2000
    %
    tmp=mask(1:2:end,1:2:end);
    clim(tmp<1)=NaN;
    
    clear error stde
    error = clim - obs_regrid(1:2:end,1:2:end);
    nan_error = error(~isnan(error));
    stde = (sum(nan_error.^2)/length(nan_error))^.5;
    %
    subplot(3,5,n+1)
    m_proj('stereographic','latitude',90,'radius',20.1,'rotangle',0);
    clim(clim>300)=300;
    m_contourf(lon(1:2:length(lon(:,1)),1:2:length(lon(1,:))),lat(1:2:length(lon(:,1)),1:2:length(lon(1,:))),clim,0:30:300,'linestyle','none');
    shading flat

    m_coast('patch',[.5 .5 .5],'edgecolor',[.5 .5 .5]);
    m_grid('tickdir','out','linewidth',.5,'fontsize',16,'linestyle','none','xtick',-120:60:120,'ytick',70:20:90,'yticklabel',' ','xminortick','on','yminortick','on','xticklabel','')
    
    m_text(-22,74.5,['RMSE = ' num2str(roundn(stde,0)) ' m'])
    caxis([0 300])
    title(files{k},'fontsize',16)
    n=n+1;
end
%
axes('position',[.088 .705 .21 .21])
m_proj('stereographic','latitude',90,'radius',20.1,'rotangle',0);
m_contourf(lon,lat,obs_regrid,0:15:300,'linestyle','none');
shading flat
m_coast('patch',[.5 .5 .5],'edgecolor',[.5 .5 .5]);
m_grid('tickdir','out','linewidth',.5,'fontsize',16,'linestyle','none','xtick',-120:60:120,'ytick',70:20:90,'yticklabel',' ','xminortick','on','yminortick','on','xticklabel','')
caxis([0 300])
title('PHC3.0','fontsize',16)
h=colorbar('southoutside');
colormap(cmocean('balance',20))
set(h,'fontsize',16,'ytick',0:30:300,'tickdir','out')
set(h,'position',[.3 .21 .55 .015])
cbarrow('right')
set(get(h,'title'),'string','Cold halocline base depth [m]')