clc
clear
close all
addpath D:\001-tools\001-Matlab\mytoolbox\m_map1.4\m_map
addpath D:\001-tools\001-Matlab\cmocean-main
%%
files = {'AWI-CM-1-1-LR';'CESM2';'CMCC-CM2-HR4';'CMCC-CM2-SR5';'CNRM-CM6-1';'EC-Earth3';'FGOALS-f3-L';'MIROC6';'MRI-ESM2-0';'NorESM2-LM'};
for i=1:length(files(:,1))
    load(['corse_mld_regrid_' files{i}]);
    strtrim(files(i,:))
    tmp = mld_regrid(:,:,:,21:end);% 1978-2018
    cold(1:224,1:152,1:12,1:41,i) = tmp(1:2:end,1:2:end,1:12,1:41);
end
load ..\get_ts_profiles\mask_2p.mat
mask = mask(1:2:end,1:2:end);
%%
close all
figure(1)
set(gcf,'unit','normalized','position',[.1 .1 .6 .7])
for ii=1:length(files(:,1))
    subplot(3,5,ii)
    m_proj('stereographic','latitude',90,'radius',20.1,'rotangle',0);
    tmp = squeeze(nanmax(cold(:,:,1:12,23:end,ii),[],4));
    tmp = squeeze(nanmax(tmp,[],3));
    tmp(mask==0)=NaN;
    m_pcolor(x,y,tmp);
    shading flat
    m_coast('patch',[.5 .5 .5],'edgecolor',[.5 .5 .5]);
    m_grid('tickdir','out','linewidth',.5,'fontsize',15,'linestyle','none','xtick',-180:60:180,'ytick',70:20:90,'yticklabel',' ','xticklabel',' ')
    title(files{ii},'fontsize',15)
    caxis([0 200])
    if (ii==length(files(:,1)))
        h=colorbar('southoutside');
        colormap(cmocean('balance',10))
        set(h,'fontsize',18,'ytick',0:20:200,'tickdir','out')
        set(h,'position',[.165 0.33 .7 .02])
        set(get(h,'title'),'string','The maximum of monthly mixed layer depth during 2000 to 2018 [m]','fontsize',16)
        cbarrow('right')
    end
end


