clc
clear
close all
addpath D:\001-tools\001-Matlab\mytoolbox\m_map1.4\m_map
addpath D:\001-tools\001-Matlab\matlab_colormap\othercolor
addpath D:\001-tools\001-Matlab\cmocean-main
%%
dot = (ncread('\\Sy_NAS\SY_NAS\data\14-Arctic_Ocean_DOT\DOT\CPOM_DOT.nc','DOT'));
x_tmp = double(ncread('\\Sy_NAS\SY_NAS\data\14-Arctic_Ocean_DOT\DOT\CPOM_DOT.nc','lon'));
y = double(ncread('\\Sy_NAS\SY_NAS\data\14-Arctic_Ocean_DOT\DOT\CPOM_DOT.nc','lat'));
obs_tmp = squeeze(nanmean(dot(73:144,:,:),1))'-squeeze(nanmean(dot(1:72,:,:),1))'; % [2009-2014]-[2003-2008]
x_tmp(x_tmp<0) = x_tmp(x_tmp<0) + 360.;
x(1) = 180;
x(2:481) = x_tmp;
obs(:,1) = (obs_tmp(:,2)+obs_tmp(:,end))/2;
obs(:,2:481) = obs_tmp;
%%
files = ls('../zos_combine/*.nc');
for i=1:length(files(:,1))
    zos_file = strtrim(files(i,:));   
    for ii=1:length(zos_file)-3
        if(zos_file(ii:ii+3)=='omip')
            ee=ii-2;
            model=zos_file(10:ee)
        end
    end
    areat = ncread(['../zos_combine/grid/' model '.nc'],'areacello');
    ginfo=ncinfo(['../zos_combine/' zos_file]);   
    aa=ginfo.Variables;
    ncid=netcdf.open(['../zos_combine/' zos_file],'nowrite');
        for ii=0:length(aa)-1
            var=netcdf.inqVar(ncid,ii);
            if(length(var)==3)
                if(var=='lat')
                    latitude=double(netcdf.getVar(ncid,ii));
                end
                if(var=='lon')
                    longitude=double(netcdf.getVar(ncid,ii));
                end
            end
            if(length(var)==8)
                if(var=='latitude')
                    latitude=double(netcdf.getVar(ncid,ii));
                end
            end
            if(length(var)==9)
                if(var=='longitude')
                    longitude=double(netcdf.getVar(ncid,ii));
                end
            end

            if(length(var)==7)
                if(var=='nav_lon')
                    longitude=double(netcdf.getVar(ncid,ii));
                end
            end
            if(length(var)==7)
                if(var=='nav_lat')
                    latitude=double(netcdf.getVar(ncid,ii));
                end
            end
        end
    netcdf.close(ncid);
    longitude(longitude<0)=longitude(longitude<0)+360;
        
    t=ncread(['../zos_combine/' zos_file],'time');
    zos=ncread(['../zos_combine/' zos_file],'zos',[1 1 length(t)-191],[inf inf 144]); %2003-2014
    anomaly = mean(zos(:,:,73:144),3)-mean(zos(:,:,1:72),3);
    [yy,xx]=meshgrid(y,x);
    anomaly_regrid(1:481,1:87,i) = griddata(longitude,latitude,anomaly,xx,yy,'nearest');
    
    figure(1)
    subplot(2,5,i)
    m_proj('lambert','long',[170 210],'lat',[60 72]);
    m_pcolor(x,y,squeeze(anomaly_regrid(:,:,i))'*100) % [2009-2014]-[2003-2008]
    shading flat
    caxis([-5 5])
    m_grid('xticklabel','','yticklabel',''); 
    m_coast('patch',[.7 .7 .7],'edgecolor','k');
    title(model)
end
%%
% close all
figure(2)
set(gcf,'unit','normalized','position',[.1 .2 .4 .3])
axes('position',[.08 .25 .4 .7])
m_proj('lambert','long',[170 210],'lat',[60 72]);
m_pcolor(x,y,obs*100) % [2009-2014]-[2003-2008]
shading flat
caxis([-5 5])
m_grid('xticklabel','','yticklabel',''); 
m_coast('patch',[.7 .7 .7],'edgecolor','k');
title('(a) Satellite','fontsize',14)

model = nanmean(anomaly_regrid,3);
model = model';
model(isnan(obs))=NaN;
axes('position',[.51 .25 .4 .7])
m_proj('lambert','long',[170 210],'lat',[60 72]);
m_pcolor(x,y,model*100) % [2009-2014]-[2003-2008]
caxis([-5 5])
m_grid('xticklabel','','yticklabel',''); 
m_coast('patch',[.7 .7 .7],'edgecolor','k');
title('(b) OMIP-2 MMM','fontsize',14)
h=colorbar('southoutside');
set(h,'position',[.08 .12 .8 .03],'fontsize',14,'xtick',-5:1:5,'tickdir','out')
colormap(cmocean('balance',10))
set(get(h,'title'),'string','SSH difference between the periods of 2009-2014 and 2003-2008 [cm]')
cbarrow

