clc
clear
close all
addpath D:\001-tools\001-Matlab\mytoolbox\m_map1.4\m_map
addpath D:\001-tools\001-Matlab\matlab_colormap\othercolor
%%
files = ls('../zos_combine/*.nc');
for i=1:length(files(:,1))
    zos_file = strtrim(files(i,:));
    for ii=1:length(zos_file)-4
        if(zos_file(ii:ii+3)=='omip')
            ee=ii-2;
            model=zos_file(10:ee)
        end
    end
    ginfo=ncinfo(['..\zos_combine\' zos_file]);   
    aa=ginfo.Variables;
    ncid=netcdf.open(['..\zos_combine\' zos_file],'nowrite');
        for ii=0:length(aa)-1
            var=netcdf.inqVar(ncid,ii);
            if(length(var)==3)
                if(var=='lat')
                    latitude=double(netcdf.getVar(ncid,ii));
                end
                if(var=='lon')
                    longitude=double(netcdf.getVar(ncid,ii));
                end
            end
            if(length(var)==8)
                if(var=='latitude')
                    latitude=double(netcdf.getVar(ncid,ii));
                end
            end
            if(length(var)==9)
                if(var=='longitude')
                    longitude=double(netcdf.getVar(ncid,ii));
                end
            end

            if(length(var)==7)
                if(var=='nav_lon')
                    longitude=double(netcdf.getVar(ncid,ii));
                end
            end
            if(length(var)==7)
                if(var=='nav_lat')
                    latitude=double(netcdf.getVar(ncid,ii));
                end
            end
        end
    netcdf.close(ncid);
    
    if(length(longitude(:,1))==1)
        [longitude latitude]=meshgrid(longitude,latitude);
        longitude=longitude';
        latitude=latitude';
    end
    if(length(longitude(1,:))==1)
        [longitude latitude]=meshgrid(longitude,latitude);
        longitude=longitude';
        latitude=latitude';
    end

    time = ncread(['../zos_combine/' zos_file],'time');
    istart = length(time)-61*12+1;
    iend = length(time);
    
    clear km n
   
    n = 1958;
    
    mkdir( model )
    for ii = istart:12:iend
        zos = ncread(['../zos_combine/' zos_file], 'zos', [1 1  ii], [Inf Inf 12]);
        ssh = squeeze(nanmean(zos,3));
        save([model '/' num2str(n)], 'longitude', 'latitude', 'ssh');
        n = n + 1;
    end
    close all
    figure(1)
    m_proj('stereographic','latitude',90,'radius',30.1,'rotangle',30);
    m_contourf(longitude,latitude,ssh,-1.5:.05:1.5,'linestyle','none');
    m_grid('xtick',-180:60:180,'ytick',50:10:80,'tickdir','out','fontsize',12,'yticklabel','');
    m_coast('patch',[.7 .7 .7],'edgecolor','k');
    caxis([-1.5 1.5])
    colormap('jet');
    c=colormap;
    cc=c(1:64/20:end,:);
    colormap(cc);
    colorbar
    title(model);
    saveas(1,[model '.bmp'])
end




